Loading...
Searching...
No Matches
sasindexkeymap_t Union Reference

Union of value types and key machine integer types. More...

`#include <sasindexkey.h>`

## Public Attributes

struct { |
machine_uint_t data_0 |
machine_uint_t data_1 |
} | key_element
unsigned long long | uint64_key
long long | int64_key
double | double_key

## Detailed Description

Union of value types and key machine integer types.

## Member Data Documentation

## double_key

double sasindexkeymap_t::double_key

key element type as a double.

## int64_key

long long sasindexkeymap_t::int64_key

key element type as a signed 64-bit integer.

## [struct]

struct { ... } sasindexkeymap_t::key_element

data area containing the binary key.

## uint64_key

unsigned long long sasindexkeymap_t::uint64_key

key element type as an unsigned 64-bit integer.

The documentation for this union was generated from the following file:

- src/sasindexkey.h